Last Comment Bug 529974 - Let users with local editcomponents privs manage flags for products they can administer
: Let users with local editcomponents privs manage flags for products they can ...
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Administration (show other bugs)
: 3.5.2
: All All
: -- enhancement (vote)
: Bugzilla 4.2
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on: 523205
Blocks: 616679 686227 1009406
  Show dependency treegraph
 
Reported: 2009-11-19 17:42 PST by Frédéric Buclin
Modified: 2014-05-13 02:11 PDT (History)
1 user (show)
LpSolit: approval+
LpSolit: testcase?
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (39.68 KB, patch)
2010-12-03 17:20 PST, Frédéric Buclin
LpSolit: review+
Details | Diff | Splinter Review

Description Frédéric Buclin 2009-11-19 17:42:13 PST
When you have local editcomponents privs, you can only edit product, component, milestone and version properties, but you cannot edit flags themselves. What we should do is to allow you to create flags in this specific product, i.e. the inclusion list should only list products you can administer. For existing flags, you should be allowed to remove flags from products you can administer, and edit their properties (including deactivating them) if your product is the single one in the inclusion list.
Comment 1 Frédéric Buclin 2010-12-03 17:20:28 PST
Created attachment 495184 [details] [diff] [review]
patch, v1

Here we go. r=me as module owner.
Comment 2 Frédéric Buclin 2010-12-03 17:24:26 PST
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified editflagtypes.cgi
modified Bugzilla/FlagType.pm
modified Bugzilla/User.pm
modified skins/standard/attachment.css
modified skins/standard/global.css
modified template/en/default/admin/admin.html.tmpl
modified template/en/default/admin/flag-type/edit.html.tmpl
modified template/en/default/global/user-error.html.tmpl
Committed revision 7611.
Comment 3 Frédéric Buclin 2011-12-26 07:50:47 PST
Added to relnotes in bug 713346.

Note You need to log in before you can comment on or make changes to this bug.